/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysparameter.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sysparameter.entity.SysParameterValue;
import com.jeeplus.modules.sysparameter.dao.SysParameterValueDao;

/**
 * 系统参数值Service
 * @author chenyuping
 * @version 2018-08-13
 */
@Service
@Transactional(readOnly = true)
public class SysParameterValueService extends CrudService<SysParameterValueDao, SysParameterValue> {

	public SysParameterValue get(String id) {
		return super.get(id);
	}
	
	public List<SysParameterValue> findList(SysParameterValue sysParameterValue) {
		return super.findList(sysParameterValue);
	}
	
	public Page<SysParameterValue> findPage(Page<SysParameterValue> page, SysParameterValue sysParameterValue) {
		return super.findPage(page, sysParameterValue);
	}
	
	@Transactional(readOnly = false)
	public void save(SysParameterValue sysParameterValue) {
		super.save(sysParameterValue);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysParameterValue sysParameterValue) {
		super.delete(sysParameterValue);
	}
	
	
	
	
}